## IAnjutaStreamLoader

IAnjutaStreamLoader — Loader to load streams

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_stream_loader_error_quark ()
GObject * | ianjuta_stream_loader_load ()
gchar * | ianjuta_stream_loader_peek_interface ()

## Types and Values

#define | IANJUTA_STREAM_LOADER_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaStreamLoader

## Includes

    #include <libanjuta/interfaces/ianjuta-stream-loader.h>

## Description

StreamLoaders can deterime correct plugin to open a stream.

## Functions

### ianjuta_stream_loader_error_quark ()

    GQuark
    ianjuta_stream_loader_error_quark (void);

#### Returns

### ianjuta_stream_loader_load ()

    GObject *
    ianjuta_stream_loader_load (IAnjutaStreamLoader *obj,
                                FILE *stream,
                                gboolean readonly,
                                GError **err);

Determines a plugin which can open the given stream, activates it opening the stream and returns the interface of the plugin activated.

#### Parameters

obj | Self |
stream | Stream to load |
readonly | Open in readonly mode. |
err | Error propagation and reporting |

#### Returns

Plugin interface used to load the stream.

### ianjuta_stream_loader_peek_interface ()

    gchar *
    ianjuta_stream_loader_peek_interface (IAnjutaStreamLoader *obj,
                                          FILE *stream,
                                          GError **err);

Peeks the stream and determines the interface which can load this stream.

#### Parameters

obj | Self |
stream | Stream to load |
err | Error propagation and reporting |

#### Returns

Plugin interface name that can load the stream.

## Types and Values

### IANJUTA_STREAM_LOADER_ERROR

    #define IANJUTA_STREAM_LOADER_ERROR ianjuta_stream_loader_error_quark()